Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80256 - SRPMS: install failed due to missing TODO file
Summary: SRPMS: install failed due to missing TODO file
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: procinfo
Version: 8.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: Jay Turner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-23 11:01 UTC by Sysoltsev Slawa
Modified: 2015-01-08 00:02 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-12-26 20:40:42 UTC


Attachments (Terms of Use)
Patch for .spec which eliminates missed TODO file from %doc list (deleted)
2002-12-23 11:05 UTC, Sysoltsev Slawa
no flags Details | Diff

Description Sysoltsev Slawa 2002-12-23 11:01:36 UTC
Description of problem:
Trying to build & install procinfo from sources I've got such error:

Executing(%doc): /bin/sh -
e /netbatch/TC2352/rh80_ia32_L/default/WORK_DIR/tmp/rpm-tmp.21678
+ umask 022
+ cd /netbatch/TC2352/rh80_ia32_L/default/WORK_DIR/BUILD
+ cd procinfo-18
+ DOCDIR=/var/tmp/procinfo-root/usr/share/doc/procinfo-18
+ export DOCDIR
+ rm -rf /var/tmp/procinfo-root/usr/share/doc/procinfo-18
+ /bin/mkdir -p /var/tmp/procinfo-root/usr/share/doc/procinfo-18
+ cp -pr README TODO CHANGES /var/tmp/procinfo-root/usr/share/doc/procinfo-18
cp: cannot stat `TODO': No such file or directory
error: Bad exit status 
from /netbatch/TC2352/rh80_ia32_L/default/WORK_DIR/tmp/rpm-tmp.21678 (%doc)

In this tiny package is no of TODO file. Seems like packaging error.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. rpm -bb procinfo.spec

    
Actual results:
Installation error.

Expected results:
Succesfully built & installed package.

Additional info:
I'll attach the patch for .spec file which removes TODO from %doc list.

Comment 1 Sysoltsev Slawa 2002-12-23 11:05:19 UTC
Created attachment 88865 [details]
Patch for .spec which eliminates missed TODO file from %doc list

Comment 2 Mike A. Harris 2002-12-26 20:40:42 UTC
This was fixed quite a while back:

%changelog
* Mon Oct  7 2002 Mike A. Harris <mharris@redhat.com> 18-7
- Removed TODO from doc list as the file isn't present any longer
- Checked upstream URL, still no package version update.



Note You need to log in before you can comment on or make changes to this bug.